=== debian/changelog ===
python-pegen (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1099623)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 02 Jul 2025 17:24:28 +0200
