=== debian/control ===
Source: python-pegen
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-sphinxdoc <!nodoc>,
  furo <!nodoc>,
  jdupes <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools (>= 61.2),
  python3-setuptools-scm (>= 3.4.3),
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pegen
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pegen.git
Homepage: https://github.com/we-like-parsers/pegen/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pegen
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: CPython's PEG parser generator
 Pegen is the parser generator used in CPython to produce the parser used by
 the interpreter. It allows one to produce PEG parsers from a description of a
 formal Grammar.
 .
 Pegen exists to distribute a version of the Python PEG parser generator used
 by CPython that can be installed as package, with some improvements. Although
 the official PEG generator included in CPython can generate both Python and C
 code, this distribution of the generator only allows one to generate Python
 code. This is due to the fact that the C code generated by the generator
 included in CPython includes a lot of implementation details and private
 headers that are not available for general usage.
 .
 This package contains the Python 3 version of Pegen.

Package: python-pegen-doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: CPython's PEG parser generator (documentation)
 Pegen is the parser generator used in CPython to produce the parser used by
 the interpreter. It allows one to produce PEG parsers from a description of a
 formal Grammar.
 .
 Pegen exists to distribute a version of the Python PEG parser generator used
 by CPython that can be installed as package, with some improvements. Although
 the official PEG generator included in CPython can generate both Python and C
 code, this distribution of the generator only allows one to generate Python
 code. This is due to the fact that the C code generated by the generator
 included in CPython includes a lot of implementation details and private
 headers that are not available for general usage.
 .
 This package contains the documentation for Pegen.
