=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pegen
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ debian/python-pegen-doc/usr/share/doc/python-pegen-doc/html/
	dh_sphinxdoc
endif

override_dh_link:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	jdupes -rl debian/python-pegen-doc/usr/share/doc/python-pegen-doc/html/
endif
	dh_link
