=== debian/watch ===
version=4
https://github.com/we-like-parsers/pegen/tags .*/v(\d.*)@ARCHIVE_EXT@
